lang/owl-lisp - The NetBSD Packages Collection

Purely functional dialect of Scheme

Owl Lisp is a purely functional dialect of Scheme. It is based on the
applicable subset of R7RS standard, extending it mainly with threads and data
structures necessary for purely functional operation. Owl can be used on most
UNIX-like systems, such as Linux, BSDs and OS X. Programs are typically
compiled via C to standalone binaries, so Owl isn't needed to run programs
written in it.

Owl project originally got started both as an attempt to extend R5RS Scheme
with some necessary features, such as threads and modules, and as an experiment
on how being purely functional influences the runtime and use of an applicative
order purely functional language. While things have been added to Scheme, Owl
tries to keep the core language as simple as possible.

Implementationwise the goal was to get a small portable system which could be
used to ship programs easily. This is currently accomplished by using a small
register-based virtual machine, which can be extended with program-specific
instructions to reduce interpretive overhead.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfowl-lisp-0.1.13.tgz
NetBSD 8.0i386owl-lisp-0.1.13.tgz
NetBSD 8.0i386owl-lisp-0.1.13.tgz
NetBSD 8.0i386owl-lisp-0.1.13.tgz
NetBSD 8.0powerpcowl-lisp-0.1.13.tgz
NetBSD 8.0powerpcowl-lisp-0.1.13.tgz
NetBSD 8.0powerpcowl-lisp-0.1.13.tgz
NetBSD 8.0powerpcowl-lisp-0.1.13.tgz
NetBSD 8.0x86_64owl-lisp-0.1.13.tgz
NetBSD 8.0x86_64owl-lisp-0.1.13.tgz
NetBSD 8.0x86_64owl-lisp-0.1.13.tgz
NetBSD 9.0aarch64owl-lisp-0.1.13.tgz
NetBSD 9.0aarch64owl-lisp-0.1.13.tgz
NetBSD 9.0aarch64owl-lisp-0.1.13.tgz
NetBSD 9.0alphaowl-lisp-0.1.13.tgz
NetBSD 9.0alphaowl-lisp-0.1.13.tgz
NetBSD 9.0alphaowl-lisp-0.1.13.tgz
NetBSD 9.0earmowl-lisp-0.1.13.tgz
NetBSD 9.0earmowl-lisp-0.1.13.tgz
NetBSD 9.0earmowl-lisp-0.1.13.tgz
NetBSD 9.0earmv6hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv6hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv6hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv7hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv7hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv7hfowl-lisp-0.1.13.tgz
NetBSD 9.0earmv7hfowl-lisp-0.1.13.tgz
NetBSD 9.0i386owl-lisp-0.1.13.tgz
NetBSD 9.0i386owl-lisp-0.1.13.tgz
NetBSD 9.0i386owl-lisp-0.1.13.tgz
NetBSD 9.0mips64ebowl-lisp-0.1.13.tgz
NetBSD 9.0mips64ebowl-lisp-0.1.13.tgz
NetBSD 9.0mips64ebowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0powerpcowl-lisp-0.1.13.tgz
NetBSD 9.0sparc64owl-lisp-0.1.13.tgz
NetBSD 9.0sparc64owl-lisp-0.1.13.tgz
NetBSD 9.0sparc64owl-lisp-0.1.13.tgz
NetBSD 9.0sparcowl-lisp-0.1.13.tgz
NetBSD 9.0sparcowl-lisp-0.1.13.tgz
NetBSD 9.0sparcowl-lisp-0.1.13.tgz
NetBSD 9.0x86_64owl-lisp-0.2.tgz
NetBSD 9.0x86_64owl-lisp-0.1.13.tgz
NetBSD 9.0x86_64owl-lisp-0.1.13.tgz
NetBSD 9.0x86_64owl-lisp-0.1.13.tgz
NetBSD 9.0x86_64owl-lisp-0.1.13.tgz
NetBSD 9.0x86_64owl-lisp-0.2.tgz
NetBSD 9.99.96aarch64ebowl-lisp-0.1.13.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.